Subject: Re: [PATCH 5/6] tr2: do compiler enum check in trace2_collect_process_info()

From: Taylor Blau <[email-masked]>
Date: Wed, 25 Aug 2021 23:23:39 -0400

On Thu, Aug 26, 2021 at 01:19:23AM +0200, Ævar Arnfjörð Bjarmason wrote:
> Change code added in 2f732bf15e6 (tr2: log parent process name,
> 2021-07-21) to use a switch statement without a "default" branch to
> have the compiler error if this code ever drifts out of sync with the
> members of the "enum trace2_process_info_reason".

OK... arguably this code should have been written with a switch
statement to begin with, but this looks like unnecessary churn to me.
Maybe the next patch adds a new value of this enum? Let's see.

Thanks,
Taylor